a13nDocs
API 参考租户管理

修改工作空间授权

授权被替换;结果包含新 ID。

PATCH/api/v1/workspaces/{workspace_id}/grants/{grant_id}

授权被替换;结果包含新 ID。

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

workspace_id*Workspace Id
grant_id*Grant Id

请求体

application/json

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

响应体

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/workspaces/string/grants/string" \  -H "Content-Type: application/json" \  -d '{    "role": "string"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "id": "string",  "organization_id": "string",  "principal": {    "email": "string",    "id": "string",    "image_url": "string",    "kind": "string",    "name": "string",    "status": "string"  },  "role": "string",  "workspace_id": "string"}